# This file is the entry point to configure your own services.
# Files in the packages/ subdirectory configure your dependencies.

# Put parameters here that don't need to change on each machine where the app is deployed
# https://symfony.com/doc/current/best_practices/configuration.html#application-related-configuration
parameters:
    locale: 'en'
    languages: ['es','en']
    email_emisor: no-reply@cershop.com
    email_emisor_alias: 'Cershop'
    telefono_empresa: '+34 964 34 24 24'
    email_empresa: 'contacto@cershop.es'
    email_atencion: 'contacto@cershop.es'
    expresion_url: ^https?:\/\/(www\.)?
    data_site_key_gcaptcha: '6LdykRciAAAAAAVVwrh6GyGMw-bffiGAx-vOO3fO'
    secret_key_gcaptcha: '6LdykRciAAAAAARRNn3c7IMxbFZyC0mu1KRW2nr2'
    puerto_websockets: 40000
    thumb_width: 350
    fabricantes_pag: 20
    distribuidores_pag: 20
    centros_compra_pag: 20
    empresas_pag: 20
    comerciales_pag: 20
    clientes_pag: 20
    colecciones_pag: 20
    atributos_pag: 20
    piezas_pag: 20
    variantes_pag: 20
    contenidos_pag: 20
    visitas_pag: 20
    piezas_front_pag: 24
    variantes_totem_pag: 20
    blog_front_pag: 10

services:
    # default configuration for services in *this* file
    _defaults:
        autowire: true      # Automatically injects dependencies in your services.
        autoconfigure: true # Automatically registers your services as commands, event subscribers, etc.

    # makes classes in src/ available to be used as services
    # this creates a service per class whose id is the fully-qualified class name
    App\:
        resource: '../src/'
        exclude:
            - '../src/DependencyInjection/'
            - '../src/Entity/'
            - '../src/Kernel.php'
            - '../src/Tests/'
            - '../src/Model/'

    # controllers are imported separately to make sure services can be injected
    # as action arguments even if you don't extend any base controller class
    App\Controller\:
        resource: '../src/Controller/'
        tags: ['controller.service_arguments']

    # add more service definitions when explicit configuration is needed
    # please note that last definitions always *replace* previous ones
    App\Extensions\Twig\:
        resource: '../src/Extensions/Twig/'
        tags: ['twig.extension']
